pkgname=fcft
pkgver=2.3.2
pkgrel=1
pkgdesc="Simple font loading and glyph rasterization library"
arch=('x86_64')
url=https://codeberg.org/dnkl/fcft
license=('mit')
makedepends=('meson' 'ninja' 'tllist>=1.0.1' 'scdoc')
depends=('freetype2' 'fontconfig' 'pixman')
checkdepends=('check' 'ttf-dejavu')
source=("$pkgname-$pkgver.tar.gz::https://codeberg.org/dnkl/$pkgname/archive/$pkgver.tar.gz")
sha512sums=('b582ffb4541c7b906390ff7e43deee75554c790ac76613bb60511bdc8135fe0f1bd4c1f5056f559850aff75449e9f1c03ab6779341c6e4891e7da28c5d3c3341')

build() {
    mkdir build
    cd build
    meson --prefix=/usr --buildtype=release --wrap-mode=nofallback ../"$pkgname"
    ninja
}

check() {
    cd build
    ninja test
}

package() {
    cd build
    DESTDIR="$pkgdir/" ninja install
}
